ApiTagToEntities (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiTagToEntities

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiTagToEntities

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiTagToEntities
      extends Object

  API object which groups types of entities as per the associated tag

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiTagToEntities()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiTagToEntities` | `addApiClusterRefsItem(ApiClusterRef apiClusterRefsItem)`
    `ApiTagToEntities` | `addApiControlPlaneRefsItem(ApiControlPlaneRef apiControlPlaneRefsItem)`
    `ApiTagToEntities` | `addApiHostRefsItem(ApiHostRef apiHostRefsItem)`
    `ApiTagToEntities` | `addApiRoleRefsItem(ApiRoleRef apiRoleRefsItem)`
    `ApiTagToEntities` | `addApiServiceRefsItem(ApiServiceRef apiServiceRefsItem)`
    `ApiTagToEntities` | `apiClusterRefs(List<ApiClusterRef> apiClusterRefs)`
    `ApiTagToEntities` | `apiControlPlaneRefs(List<ApiControlPlaneRef> apiControlPlaneRefs)`
    `ApiTagToEntities` | `apiHostRefs(List<ApiHostRef> apiHostRefs)`
    `ApiTagToEntities` | `apiRoleRefs(List<ApiRoleRef> apiRoleRefs)`
    `ApiTagToEntities` | `apiServiceRefs(List<ApiServiceRef> apiServiceRefs)`
    `boolean` | `equals(Object o)`
    `List<ApiClusterRef>` | `getApiClusterRefs()` Get apiClusterRefs
    `List<ApiControlPlaneRef>` | `getApiControlPlaneRefs()` Get apiControlPlaneRefs
    `List<ApiHostRef>` | `getApiHostRefs()` Get apiHostRefs
    `List<ApiRoleRef>` | `getApiRoleRefs()` Get apiRoleRefs
    `List<ApiServiceRef>` | `getApiServiceRefs()` Get apiServiceRefs
    `String` | `getName()` Get name
    `String` | `getValue()` Get value
    `int` | `hashCode()`
    `ApiTagToEntities` | `name(String name)`
    `void` | `setApiClusterRefs(List<ApiClusterRef> apiClusterRefs)`
    `void` | `setApiControlPlaneRefs(List<ApiControlPlaneRef> apiControlPlaneRefs)`
    `void` | `setApiHostRefs(List<ApiHostRef> apiHostRefs)`
    `void` | `setApiRoleRefs(List<ApiRoleRef> apiRoleRefs)`
    `void` | `setApiServiceRefs(List<ApiServiceRef> apiServiceRefs)`
    `void` | `setName(String name)`
    `void` | `setValue(String value)`
    `String` | `toString()`
    `ApiTagToEntities` | `value(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiTagToEntities

          public ApiTagToEntities()

  - ### Method Detail

    - #### name

          public ApiTagToEntities name(String name)

    - #### getName

          public String getName()

      Get name
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### value

          public ApiTagToEntities value(String value)

    - #### getValue

          public String getValue()

      Get value
      Returns:
        value

    - #### setValue

          public void setValue(String value)

    - #### apiClusterRefs

          public ApiTagToEntities apiClusterRefs(List<ApiClusterRef> apiClusterRefs)

    - #### addApiClusterRefsItem

          public ApiTagToEntities addApiClusterRefsItem(ApiClusterRef apiClusterRefsItem)

    - #### getApiClusterRefs

          public List<ApiClusterRef> getApiClusterRefs()

      Get apiClusterRefs
      Returns:
        apiClusterRefs

    - #### setApiClusterRefs

          public void setApiClusterRefs(List<ApiClusterRef> apiClusterRefs)

    - #### apiServiceRefs

          public ApiTagToEntities apiServiceRefs(List<ApiServiceRef> apiServiceRefs)

    - #### addApiServiceRefsItem

          public ApiTagToEntities addApiServiceRefsItem(ApiServiceRef apiServiceRefsItem)

    - #### getApiServiceRefs

          public List<ApiServiceRef> getApiServiceRefs()

      Get apiServiceRefs
      Returns:
        apiServiceRefs

    - #### setApiServiceRefs

          public void setApiServiceRefs(List<ApiServiceRef> apiServiceRefs)

    - #### apiRoleRefs

          public ApiTagToEntities apiRoleRefs(List<ApiRoleRef> apiRoleRefs)

    - #### addApiRoleRefsItem

          public ApiTagToEntities addApiRoleRefsItem(ApiRoleRef apiRoleRefsItem)

    - #### getApiRoleRefs

          public List<ApiRoleRef> getApiRoleRefs()

      Get apiRoleRefs
      Returns:
        apiRoleRefs

    - #### setApiRoleRefs

          public void setApiRoleRefs(List<ApiRoleRef> apiRoleRefs)

    - #### apiHostRefs

          public ApiTagToEntities apiHostRefs(List<ApiHostRef> apiHostRefs)

    - #### addApiHostRefsItem

          public ApiTagToEntities addApiHostRefsItem(ApiHostRef apiHostRefsItem)

    - #### getApiHostRefs

          public List<ApiHostRef> getApiHostRefs()

      Get apiHostRefs
      Returns:
        apiHostRefs

    - #### setApiHostRefs

          public void setApiHostRefs(List<ApiHostRef> apiHostRefs)

    - #### apiControlPlaneRefs

          public ApiTagToEntities apiControlPlaneRefs(List<ApiControlPlaneRef> apiControlPlaneRefs)

    - #### addApiControlPlaneRefsItem

          public ApiTagToEntities addApiControlPlaneRefsItem(ApiControlPlaneRef apiControlPlaneRefsItem)

    - #### getApiControlPlaneRefs

          public List<ApiControlPlaneRef> getApiControlPlaneRefs()

      Get apiControlPlaneRefs
      Returns:
        apiControlPlaneRefs

    - #### setApiControlPlaneRefs

          public void setApiControlPlaneRefs(List<ApiControlPlaneRef> apiControlPlaneRefs)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.